## ros-kinetic-kobuki-dashboard 0.5.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(kobuki_dashboard)

find_package(catkin REQUIRED COMPONENTS rospy
                                        rqt_robot_dashboard
                                        kobuki_msgs)

catkin_python_setup()

catkin_package()

install(PROGRAMS scripts/kobuki_dashboard
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(DIRECTORY plugins
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-kinetic-kobuki-dashboard (0.5.7-0xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Mon, 15 May 2017 00:05:29 -0000

ros-kinetic-kobuki-dashboard (0.5.2-0xenial) xenial; urgency=high

  * updated for QtGui -> QtWidgets qt api change in xenial

 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Thu, 23 Feb 2017 05:00:00 -0000

ros-kinetic-kobuki-dashboard (0.4.0-0xenial) xenial; urgency=high

  * now it uses dataplot class instead of mat dataplot. It still shows weird scaling though..
  * removes email addresses from authors
  * add robot groups for rqt plugins
  * Contributors: Dirk Thomas, Jihoon Lee, Marcus Liebhardt

 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Mon, 11 Aug 2014 04:00:00 -0000

ros-kinetic-kobuki-dashboard (0.3.1-0xenial) xenial; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Mon, 14 Oct 2013 04:00:00 -0000

ros-kinetic-kobuki-dashboard (0.3.0-0xenial) xenial; urgency=high

  * adds own battery widget to make use of the coloured battery status versions
  * adds bugtracker and repo info to package.xml

 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Fri, 30 Aug 2013 04:00:00 -0000

ros-kinetic-kobuki-dashboard (0.2.0-0xenial) xenial; urgency=high

  * ROS Hydro beta release.
  * Adds catkinized kobuki_qtestsuite

 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Thu, 11 Jul 2013 04:00:00 -0000

=== debian/control ===
Source: ros-kinetic-kobuki-dashboard
Section: misc
Priority: extra
Maintainer: Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-kobuki-msgs, ros-kinetic-rospy, ros-kinetic-rqt-robot-dashboard
Homepage: http://ros.org/wiki/kobuki_dashboard
Standards-Version: 3.9.2

Package: ros-kinetic-kobuki-dashboard
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-kobuki-msgs, ros-kinetic-rospy, ros-kinetic-rqt-robot-dashboard
Description: The Kobuki dashboard is a RQT-based plug-in for visualising data from Kobuki and giving easy access to basic functionalities.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-kobuki-dashboard//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
